import Link from "next/link";
import { Download } from "react-feather";

export default function BabgeFile({ href }: { href: string }) {

    let arrayDefault = href.split('/');
    const nameFileDefault = arrayDefault.pop();
    let typeFile = href.split('.').pop();

    return (
        <div className="flex justify-between items-start my-2.5 bg-gray-50/40 dark:bg-gray-600 rounded-xl p-2 w-full">
            <div className="me-2 w-full truncate text-ellipsis capitalize">
                <span className="flex items-center gap-2 text-sm font-medium text-gray-900 dark:text-white pb-2 truncate text-ellipsis capitalize">
                    {nameFileDefault}
                </span>
                <span className="flex text-xs font-normal text-gray-500 dark:text-gray-400 gap-2">
                    {typeFile}
                </span>
            </div>
            <div className="inline-flex self-center items-center">
                <Link href={href} target="_blank" className="inline-flex self-center items-center p-2 text-sm font-medium text-center text-gray-900 bg-gray-50 rounded-lg hover:bg-gray-100 focus:ring-4 focus:outline-none dark:text-white focus:ring-gray-50 dark:bg-gray-600 dark:hover:bg-gray-500 dark:focus:ring-gray-600">
                    <Download />
                </Link>
            </div>
        </div>
    )
}